using System.ComponentModel;
using SushiBarDataModels.Models;
using SushiBarDataModels.Enums;
using SushiBarDataModels;

namespace SushiBarContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int SushiId { get; set; }
        public int ClientId { get; set; }
        public int? ImplementerId { get; set; }


        [DisplayName("Имя клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        
        [DisplayName("Имя исполнителя")]
        public string? ImplementerFIO { get; set; }

        [DisplayName("Суши")]
        public string SushiName { get; set; } = string.Empty;


        [DisplayName("Количество")]
        public int Count { get; set; }


        [DisplayName("Сумма")]
        public double Sum { get; set; }


        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;


        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;


        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}